BulkBean.Generator (cglib (Version 2.2.2))
Date: 2016-02-19

net.sf.cglib.beans

## Class BulkBean.Generator

- java.lang.Object
- - net.sf.cglib.core.AbstractClassGenerator
  - - net.sf.cglib.beans.BulkBean.Generator

- All Implemented Interfaces:
    ClassGenerator
  Enclosing class:
    BulkBean

      public static class BulkBean.Generator
      extends AbstractClassGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkBean.Generator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkBean` | `create()`
    `void` | `generateClass(org.objectweb.asm.ClassVisitor v)`
    `void` | `setGetters(java.lang.String[] getters)`
    `void` | `setSetters(java.lang.String[] setters)`
    `void` | `setTarget(java.lang.Class target)`
    `void` | `setTypes(java.lang.Class[] types)`

    - ### Methods inherited from class net.sf.cglib.core.AbstractClassGenerator

      `getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkBean.Generator

          public BulkBean.Generator()

  - ### Method Detail

    - #### setTarget

          public void setTarget(java.lang.Class target)

    - #### setGetters

          public void setGetters(java.lang.String[] getters)

    - #### setSetters

          public void setSetters(java.lang.String[] setters)

    - #### setTypes

          public void setTypes(java.lang.Class[] types)

    - #### create

          public BulkBean create()

    - #### generateClass

          public void generateClass(org.objectweb.asm.ClassVisitor v)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation